@Echo off
@ECHO OFF
REM.-- Prepare the Command Processor
SETLOCAL ENABLEEXTENSIONS
SETLOCAL ENABLEDELAYEDEXPANSION
cd /d "%~dp0"
::Detect Administrator Privileges  
::echo Administrative permissions are required To Install the Kiosk Softwares
::echo Detecting Administrative Permissions
net session >nul 2>&1
if %ERRORLEVEL%==0 (
echo              ************************************************************
) else (
echo Insufficient Administrator Previleges - Please login in as Administrator
echo           Exiting the setup
pause
exit
)
                      echo Developed by ***Sajan Sharma FIA Technologi PVT LTD
echo          *******************************************************************************
echo          Disclaimer: All Trademarks, Copyrights and Logos appearing on this batch file & 
                     echo Softwares used belongs to their respective owners.
echo          *******************************************************************************
Title PeriServiceSetup
Echo ********************Uninstalling OLD PeriServices***********************************
WMIC Product where "Name='PeriServiceSetup'" Call Uninstall /NoInteractive
Echo ******************** Delteting TCSKIOSKPIND FILES ***********************************
Del /s /q /r C:\TCSKioskPinpad\SBI_Service_Logs
del /s /q C:\TCSKioskPinpad
Pause
echo              ************************************************************************
echo              ***************Welcome to SBI NEW PERISERVICES SETUP 1.1.75  ************
echo              ************************************************************
echo                      "To Begin the Installation press any key"
pause
start /wait /d "%CD%\Release" setup.exe
Pause
echo              ************************************************************************
echo              *************** Starting PERI SERVICES  ************
echo              ************************************************************
Net start PinpadService
echo          *******************************************************************************
Title MATM Driver 3.12 Installation
Echo ********************Uninstalling OLD ATM Verison 2.80 Drivers***********************************
start /wait /d "%CD%\IngenicoUSBDrivers_3.12" IngenicoUSBDrivers_3.12_setup.exe
echo              ************************************************************************
cls
Please Don't restart the system
Echo ******************** Installing NEW ATM Verison 3.12 Drivers***********************************
start /wait /d "%CD%\IngenicoUSBDrivers_3.12" IngenicoUSBDrivers_3.12_setup.exe
echo          *******************************************************************************
